Package org.eclipse.net4j.util.container.delegate

# Class ContainerSortedSet<E>

java.lang.Object
org.eclipse.net4j.util.event.Notifier
org.eclipse.net4j.util.container.delegate.AbstractDelegator<E>
org.eclipse.net4j.util.container.delegate.ContainerCollection<E>
org.eclipse.net4j.util.container.delegate.ContainerSet<E>
org.eclipse.net4j.util.container.delegate.ContainerSortedSet<E>

All Implemented Interfaces:
  `Iterable<E>`, `Collection<E>`, `Set<E>`, `SortedSet<E>`, `IContainerCollection<E>`, `IContainerSet<E>`, `IContainerSortedSet<E>`, `IContainer<E>`, `INotifier`, `INotifier.INotifier2`

public class ContainerSortedSet<E> extends ContainerSet<E> implements IContainerSortedSet<E>
A default implementation of a `container sorted set`.

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.net4j.util.container.delegate.AbstractDelegator

`AbstractDelegator.DelegatingIterator`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

`IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`INotifier.INotifier2`

## Constructor Summary

Constructors
Constructor
Description
`ContainerSortedSet(SortedSet<E> delegate)`

## Method Summary

Modifier and Type
Method
Description
`Comparator<? super E>`
`comparator()`
`E`
`first()`
`SortedSet<E>`
`getDelegate()`
`SortedSet<E>`
`headSet(E toElement)`
`E`
`last()`
`SortedSet<E>`
`subSet(E fromElement, E toElement)`
`SortedSet<E>`
`tailSet(E fromElement)`

### Methods inherited from class org.eclipse.net4j.util.container.delegate.ContainerCollection

`add, addAll, clear, contains, containsAll, equals, getElements, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

### Methods inherited from class org.eclipse.net4j.util.container.delegate.AbstractDelegator

`createEvent, dispatchEvent, fireAddedEvent, fireRemovedEvent`

### Methods inherited from class org.eclipse.net4j.util.event.Notifier

`addListener, addUniqueListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListener, hasListeners, lastListenerRemoved, listenerAdded, listenerRemoved, removeListener`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

`getElements, isEmpty`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.Set

`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

### Methods inherited from interface java.util.SortedSet

`spliterator`

## Constructor Details

### ContainerSortedSet

public ContainerSortedSet(SortedSet<E> delegate)

## Method Details

### getDelegate

public SortedSet<E> getDelegate()

Specified by:
  `getDelegate` in interface `IContainerCollection<E>`
Specified by:
  `getDelegate` in interface `IContainerSet<E>`
Specified by:
  `getDelegate` in interface `IContainerSortedSet<E>`
Overrides:
  `getDelegate` in class `ContainerSet<E>`

### comparator

public Comparator<? super E> comparator()

Specified by:
  `comparator` in interface `SortedSet<E>`
Category
  READ

### first

public E first()

Specified by:
  `first` in interface `SortedSet<E>`
Category
  READ

### last

public E last()

Specified by:
  `last` in interface `SortedSet<E>`
Category
  READ

### headSet

public SortedSet<E> headSet(E toElement)

Specified by:
  `headSet` in interface `SortedSet<E>`
Category
  READ

### subSet

public SortedSet<E> subSet(E fromElement, E toElement)

Specified by:
  `subSet` in interface `SortedSet<E>`
Category
  READ

### tailSet

public SortedSet<E> tailSet(E fromElement)

Specified by:
  `tailSet` in interface `SortedSet<E>`
Category
  READ